Index: wwwbase/styles/zepu.css
===================================================================
--- wwwbase/styles/zepu.css	(revision 817)
+++ wwwbase/styles/zepu.css	(working copy)
@@ -1192,3 +1192,60 @@
   -webkit-columns: 350px 2;
   margin: 5px 0px;
 }
+
+
+/* RICH USER PROFILE */
+.userProfileHeader {
+  overflow: hidden;
+}
+
+.userProfileHeader,
+.userProfileSection {
+  margin-left: 15px;
+}
+
+.userProfileHeader h3 {
+  margin: 30px 0px 10px 55px;
+  color: #333030;
+}
+
+.avatar {
+  background: url("../img/avatar_user.png") no-repeat 0px 0px;
+  width: 48px;
+  height: 48px;
+  float: left;
+	border-radius: 4px;
+	-webkit-border-radius: 4px;
+}
+
+.userProfileSection {
+  margin-top: 10px;
+	border: 0px;
+	padding: 10px 10px 10px 0px;
+	margin-bottom: 10px;
+}
+
+.userProfileSection legend {
+	color: #525151;
+	display: block;
+	font-weight: bold;
+}
+
+.userFields {
+  color: #888;
+  display: inline-block;
+  width: 150px;
+  margin: 0px 10px 5px 5px;
+}
+
+.userNoMedals {
+  color: #888;
+  display: inline-block;
+  margin: 0px 10px 5px 5px;
+}
+
+.sectionEdit {
+  display: block;
+  margin: -23px 0px 15px 55px;
+}
+
Index: wwwbase/img/avatar_user.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: wwwbase/img/avatar_user.png
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:mime-type
   + application/octet-stream

Index: templates/common/user.ihtml
===================================================================
--- templates/common/user.ihtml	(revision 817)
+++ templates/common/user.ihtml	(working copy)
@@ -1,51 +1,72 @@
-<p class="paragraphTitle">Utilizator: {$user->nick|escape}</p>
 
-{if $user->detailsVisible && $user->identity}
-  Identitate OpenID: <a href="{$user->identity}">{$user->identity}</a><br/><br/>
-{/if}
+<div class="userProfileHeader">
+  <img class="avatar" />
+  <h3>Utilizator: {$user->nick|escape}</h3>
+</div>
 
-{if $user->detailsVisible && $user->name}
-  Nume: {$user->name|escape}<br/><br/>
-{/if}
+<fieldset class="userProfileSection">
+	<legend>Descriere</legend>
+	<label class="userFields">OpenID</label>
+		{if $user->detailsVisible && $user->identity}
+			<a href="{$user->identity}">{$user->identity}</a>
+		{/if}
+	<br />
 
-{if $user->detailsVisible && $user->email}
-  Adresă de e-mail: {$user->email|escape}<br/><br/>
-{/if}
+	<label class="userFields">Nume</label>
+		{if $user->detailsVisible && $user->name}
+			{$user->name|escape}
+		{/if}
+	<br />
 
-Drept de moderator: {if $user->moderator}Da{else}Nu{/if}<br/><br/>
+	<label class="userFields">Adresă de e-mail</label>
+		{if $user->detailsVisible && $user->email}
+			{$user->email|escape}
+		{/if}
+	<br />
+</fieldset>
 
-Definiții trimise: {$userData.num_words|default:0}
-{if $userData.num_words}(locul {$userData.rank_words}){/if}
-<br/><br/>
+<fieldset class="userProfileSection">
+	<legend>Atribuții</legend>
+	<span class="userFields">Drept de moderator</span> 
+		{if $user->moderator}Da{else}Nu{/if}
+	<br/>
 
-Lungime totală: {$userData.num_chars|default:0} caractere
-{if $userData.num_chars}(locul {$userData.rank_chars}){/if}
-<br/><br/>
+	<span class="userFields">Definiții trimise</span> 
+		{$userData.num_words|default:0}
+			{if $userData.num_words}(locul {$userData.rank_words}){/if}
+	<br/>
 
-<p class="paragraphTitle">
-  Medalii
+	<span class="userFields">Lungime totală</span> 
+		{$userData.num_chars|default:0} caractere
+			{if $userData.num_chars}(locul {$userData.rank_chars}){/if}
+	<br/>
+</fieldset>
+
+<fieldset class="userProfileSection">
+  <legend>Medalii</legend>
   {if $sUser->moderator & $smarty.const.ADMIN}
     <span class="sectionEdit"><a id="medalEditLink" onclick="$('#medalEditDiv').slideToggle(); return false;" href="#">editează</a></span>
   {/if}
-</p>
 
-{if $sUser->moderator & $smarty.const.ADMIN}
-  <form id="medalEditDiv" method="post">
-    <div class="medalCheckboxes">
-      <input type="hidden" name="userId" value="{$user->id}"/>
-      {foreach from=$allMedals key=mask item=params}
-        <input type="checkbox" name="medalsGranted[]" id="cb_{$mask}" value="{$mask}" {if $medals[$mask]}checked="checked"{/if} />
-        <label for="cb_{$mask}">{$params.name} {$params.description}</label><br/>
-      {/foreach}
-    </div>
-    <input type="submit" name="medalSaveButton" value="Salvează"/>
-  </form>
-{/if}
+	{if $sUser->moderator & $smarty.const.ADMIN}
+		<form id="medalEditDiv" method="post">
+		  <div class="medalCheckboxes">
+		    <input type="hidden" name="userId" value="{$user->id}"/>
+		    {foreach from=$allMedals key=mask item=params}
+		      <input type="checkbox" name="medalsGranted[]" id="cb_{$mask}" value="{$mask}" {if $medals[$mask]}checked="checked"{/if} />
+		      <label for="cb_{$mask}">{$params.name} {$params.description}</label><br/>
+		    {/foreach}
+		  </div>
+		  <input type="submit" name="medalSaveButton" value="Salvează"/>
+		</form>
+	{/if}
 
-{if $medals}
-  {foreach from=$medals item=params}
-    <img src="{$imgRoot}/medals/{$params.pic}" alt="{$params.name}" title="{$params.name} {$params.description}"/>
-  {/foreach}
-{else}
-  Utilizatorul {$user->nick|escape} nu are medalii.
-{/if}
+	{if $medals}
+		{foreach from=$medals item=params}
+		  <img src="{$imgRoot}/medals/{$params.pic}" alt="{$params.name}" title="{$params.name} {$params.description}"/>
+		{/foreach}
+	{else}
+		<span class="userNoMedals">Utilizatorul {$user->nick|escape} nu are medalii.</span>
+	{/if}
+</fieldset>
+
